org.eclipse.jdt.core

## Class BuildJarIndex

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.eclipse.jdt.core.BuildJarIndex

All Implemented Interfaces:
  Cloneable

    public class BuildJarIndex
    extends org.apache.tools.ant.Task

An Ant task to generate the index file for the given jar path.

`<eclipse.buildJarIndex jarPath="Test.jar" indexPath="Test.index"/>`

For more information on Ant check out the website at http://jakarta.apache.org/ant/ .

This is not intended to be subclassed by users.

Since:
  3.8

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`BuildJarIndex()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()`
`void` `setIndexPath(String path)`
`void` `setJarPath(String path)`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BuildJarIndex

    public BuildJarIndex()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`

#### setJarPath

    public void setJarPath(String path)

#### setIndexPath

    public void setIndexPath(String path)